Bug 1395104 - pci 0000:ff:1e.3: [Firmware Bug]: reg 0x10: invalid BAR (can't size)
Summary: pci 0000:ff:1e.3: [Firmware Bug]: reg 0x10: invalid BAR (can't size)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Prarit Bhargava
QA Contact: Vilém Maršík
URL:
Whiteboard:
Depends On:
Blocks: 1353018
TreeView+ depends on / blocked
 
Reported: 2016-11-15 07:38 UTC by Takayuki Nagata
Modified: 2020-09-10 09:57 UTC (History)
3 users (show)

Fixed In Version: kernel-3.10.0-526.el7
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-08-02 04:30:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
RHEL PATCH 1/1 (4.13 KB, patch)
2016-11-18 12:46 UTC, Prarit Bhargava
no flags Details | Diff
dmesg after fix from 3.10.0-526.el7.x86_64 (155.44 KB, text/plain)
2016-12-09 18:23 UTC, Vilém Maršík
no flags Details


Links
System ID Priority Status Summary Last Updated
Linux Kernel 153881 None None None 2019-06-21 08:58:10 UTC
Red Hat Knowledge Base (Solution) 2600991 None None None 2016-11-15 07:49:16 UTC
Red Hat Product Errata RHSA-2017:1842 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2017-08-01 18:22:09 UTC

Description Takayuki Nagata 2016-11-15 07:38:54 UTC
Description of problem:
The following message occurs.
~~~
pci 0000:ff:1e.3: [Firmware Bug]: reg 0x10: invalid BAR (can't size)
~~~

Version-Release number of selected component (if applicable):
kernel-3.10.0-514.el7.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Install RHEL7 into a Xeon E5-2603 v3 box.
2. Boot the system.
3.

Actual results:
The message occurs.

Expected results:
The message does not occur.

Additional info:
Found a upstream commit: https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=6af7e4f77259ee946103387372cb159f2e99a6d4

Comment 3 Prarit Bhargava 2016-11-18 12:46:39 UTC
Created attachment 1221872 [details]
RHEL PATCH 1/1

Comment 5 Myron Stowe 2016-11-18 16:11:41 UTC
(In reply to Takayuki Nagata from comment #1)
> The customer has required us to back port the upstream fix.

Takayuki:

You should inform the customer that the platform's BIOS is in violation.  While the kernel can work-around the issue, the root issue is the BIOS not hiding this device's non-conformant BAR.

Re:
http://www.intel.com/content/dam/www/public/us/en/documents/specification-updates/xeon-e5-v3-spec-update.pdf - look for the "HSE43" entry.  The expected behaviour is for the platform's BIOS to "hide" this device.

Comment 7 Rafael Aquini 2016-12-02 22:20:41 UTC
Patch(es) committed on kernel repository and an interim kernel build is undergoing testing

Comment 9 Rafael Aquini 2016-12-05 12:55:10 UTC
Patch(es) available on kernel-3.10.0-526.el7

Comment 12 Vilém Maršík 2016-12-09 18:23:51 UTC
Created attachment 1230114 [details]
dmesg after fix from 3.10.0-526.el7.x86_64

Comment 13 Vilém Maršík 2016-12-09 18:26:28 UTC
Following messages confirmed in 3.10.0-514.el7.x86_64, but not shown in 3.10.0-526.el7.x86_64

pci 0000:ff:1e.3: [Firmware Bug]: reg 0x10: invalid BAR (can't size)
pci 0000:bf:1e.3: [Firmware Bug]: reg 0x10: invalid BAR (can't size)
pci 0000:7f:1e.3: [Firmware Bug]: reg 0x10: invalid BAR (can't size)
pci 0000:3f:1e.3: [Firmware Bug]: reg 0x10: invalid BAR (can't size)

Considering verified.

Comment 16 errata-xmlrpc 2017-08-02 04:30:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1842


Note You need to log in before you can comment on or make changes to this bug.